/*
 *
 *           MULti Core Operating System - Tiny / Multilayer Kernel
 *                      Device driver header for RA8 UART
 *
 *           Copyright (c) 2021 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name       drv_ra8_uart.h
 *
 *  Sep/23/2024     Created.
 *
 */

#ifndef _DRV_RA8_UART_H_
#define _DRV_RA8_UART_H_
#ifdef __cplusplus
extern "C" {
#endif


/* Bit definitions of Event flasg */

#define TXI_FLG           0x00000001u
#define RXI_FLG           0x00000002u
#define TEI_FLG           0x00000004u

/* Management data */

typedef struct st_drv_ra8_uart_snd {
    VB                   *tbuf;
    TMO                   time;
    UINT                  tcnt;
} T_DRV_RA8_UART_SND;

typedef struct st_drv_ra8_uart_rcv {
    VB                   *rbuf;
    UB                   *sbuf;
    TMO                   time;
    UINT                  rcnt;
} T_DRV_RA8_UART_RCV;

typedef struct st_drv_ra8_uart_mng {
    UINT                  status;
    ID                    flgid;
    UINT                  sndp;
    UINT                  rcvp;
    UINT                  tcnt;
    UINT                  rcnt;
    UINT                  tsize;
    UINT                  rsize;
    UINT                  twcnt;
    UINT                  rwcnt;
    ID                    evtno_rxi;
    ID                    evtno_txi;
    ID                    evtno_tei;
    ID                    evtno_eri;
    INHNO                 intno_rxi;
    INHNO                 intno_txi;
    INHNO                 intno_tei;
    INHNO                 intno_eri;
    UINT                  waicln;
    UINT                  cts_rts;
    volatile T_RA8_SCI   *port;
    T_DRV_RA8_UART_SND   *snd_data;
    T_DRV_RA8_UART_RCV   *rcv_data;
    VB                   *tbuf;
    VB                   *rbuf;
    UB                   *sbuf;
} T_DRV_RA8_UART_MNG;

#ifdef __cplusplus
}
#endif
#endif /* _DRV_RA8_UART_H_ */
