/*
 *
 *           MULti Core Operating System - Tiny / Multilayer Kernel
 *                      Device header for RA8 SMSTP
 *
 *           Copyright (c) 2025 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name       dv_ra8_mstp.h
 *
 *  Sep/02/2024     Created.
 *
 */

#ifndef _DV_RA8_MSTP_H_
#define _DV_RA8_MSTP_H_
#ifdef __cplusplus
extern "C" {
#endif

/* Base Address */

#define MSTP_BASE       0x40203000      /* MSTP Base address */

#define NS_BASE_OFFSET  0x10000000      /* NonSecure peripheral offset address */


/* registers */
typedef struct {
    UW  MSTPCRA;         /* Module Stop Control Register A      */
    UW  MSTPCRB;         /* Module Stop Control Register B      */
    UW  MSTPCRC;         /* Module Stop Control Register C      */
    UW  MSTPCRD;         /* Module Stop Control Register D      */
    UW  MSTPCRE;         /* Module Stop Control Register E      */
    UH  LSMRWDIS;        /* Low Speed Module R/W Disable Control Register */
} T_RA8_MSTP; 


/* Port access structure */

#ifdef __BUILD_SECURE__
#define REG_MSTP    (*(volatile T_RA8_MSTP *)MSTP_BASE)
#else
#define REG_MSTP    (*(volatile T_RA8_MSTP *)(MSTP_BASE | NS_BASE_OFFSET))
#endif


#ifdef __cplusplus
}
#endif
#endif /* _DV_RA8_MSTP_H_ */
