/*
 *
 *           MULti Core Operating System - Tiny / Multilayer Kernel
 *                      Device for RA8M1
 *
 *           Copyright (c) 2025 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name       dv_ra8m1.h
 *
 *  Feb/02/2025     Created.
 *
 */

#ifndef _DV_RA8M1_H_
#define _DV_RA8M1_H_


/* System Controller (SYSC) */
#include "dv_ra8_sysc.h"

/* CPU System Security Control Unit (CPSCU) */
#include "dv_ra8_cpscu.h"

/* Peripheral Security Control Unit (PSCU) */
#include "dv_ra8_pscu.h"

/* Interrupt Controller Unit (ICU) */
#include "dv_ra8_icu.h"

/* Pin Function Controller and PORT (PFS, PORT) */
#include "dv_ra8_pfs_port.h"

/* Flash memory controller (Flash) */
#include "dv_ra8_flash.h"

/* Sram memory controller (SRAM) */
#include "dv_ra8_sram.h"

/* Serial Communications Interface (SCI) */
#include "dv_ra8_sci.h"

/* System Module Stop control (MSTP) */
#include "dv_ra8_mstp.h"

/* Asynchronous General Purpose Timer(AGT) */
#include "dv_ra8_agt.h"

/* Please edit as necessary */

/* Kvȃwb_t@CCN[h */

#endif /* _DV_RA8M1_H_ */
