/*
 *
 *  MULti Core Operating System - MultiLayer Kernel (MULCOS-M)
 *           CortexM architecture Configurations
 *
 *  Copyright (c) 2024 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name   config.c
 *
 *  May/15/2024 Created.
 *
 */

#include "kernel.h"
#include "config.h"

T_CSYS const pk_csys = {
  .usrmem_addr      = USR_MEM_ADDR,     /* ĨAhX     */
  .usrmem_size      = USR_MEM_SIZE,     /* ĨTCY       */
  .max_task         = MAX_TASK,         /* ^XN̑                 */
  .rsv_task         = RSV_TASK,         /* ^XN̗\               */
  .max_sem          = MAX_SEM,          /* Z}tH̑               */
  .rsv_sem          = RSV_SEM,          /* Z}tH̗\             */
  .max_eflg         = MAX_EFLG,         /* CxgtȎ         */
  .rsv_eflg         = RSV_EFLG,         /* CxgtO̗\       */
  .max_mbox         = MAX_MBX,          /* [{bNX̑         */
  .rsv_mbox         = RSV_MBX,          /* [{bNX̗\       */
  .max_dtq          = MAX_DTQ,          /* f[^L[̑           */
  .rsv_dtq          = RSV_DTQ,          /* f[^L[̗\         */
  .max_mtex         = MAX_MTX,          /* ~[ebNX̑         */
  .rsv_mtex         = RSV_MTX,          /* ~[ebNX̗\       */
  .max_mbf          = MAX_MBF,          /* bZ[Wobt@̑     */
  .rsv_mbf          = RSV_MBF,          /* bZ[Wobt@̗\   */
  .max_mpf          = MAX_MPF,          /* Œ蒷v[̑     */
  .rsv_mpf          = RSV_MPF,          /* Œ蒷v[̗\   */
  .max_mpl          = MAX_MPL,          /* ϒv[̑     */
  .rsv_mpl          = RSV_MPL,          /* ϒv[̗\   */
  .max_cyc          = MAX_CYC,          /* nh̑           */
  .rsv_cyc          = RSV_CYC,          /* nh̗\         */
  .max_isr          = MAX_ISR,          /* ISȒ                    */
  .rsv_isr          = RSV_ISR,          /* ISR̗\                  */
  .max_task_pri     = MAX_TPRI,         /* ő^XNDx           */
  .clk_msec         = CLK_MSEC,         /* `bN\                 */
  .sgi_int_pri      = DSP_PRI,          /* Œኄ荞ݗDx           */
  .sgi_no           = 14,               /* fBXpb`v̊ݔԍ */
  .sysdwn           = SYS_DOWN,         /*                              */
  .sysidl           = SYS_IDLE,         /* ACh֐̃AhX       */
#if (__ARM_FP > 0)
  .arch.fpscr       = INI_FPSCR,        /* FPSCRWX^l          */
#endif
};

